commit:     5b82fe594281ba800859f4e269d2a5cc4f7bfd30
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 21 15:45:58 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 21 19:31:18 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b82fe59

dev-python/clang-python: Bump to 10.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/clang-python/Manifest                   |  1 +
 dev-python/clang-python/clang-python-10.0.1.ebuild | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 05f2cb600c4..4a5e623ef7d 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -4,4 +4,5 @@ DIST llvmorg-10.0.1-rc1.tar.gz 120834583 BLAKE2B 
64244ebcb6f2c171c9f606e5eb0adff
 DIST llvmorg-10.0.1-rc2.tar.gz 120883192 BLAKE2B 
d48f4ccb33691cd4997576a6d20b298455687515164f7d8dfa11ec32e197b58132c6bd549c1214c3b36982ef85e1018d4101e7afecee8d2ab67ad15d68c681bf
 SHA512 
8e363d379a73e38ef570fb03d8243a21f37a48ef579a0f08118af4dac48060c0dc24e2bd8175f04241fa424e49b6c85723d2d3552bbe30dd165fe5fb43493325
 DIST llvmorg-10.0.1-rc3.tar.gz 120876192 BLAKE2B 
c48c7e00b37adaab411a34196b87eb630a997ce56bcc33350a698d6d8e24877844b037735ec44abf80ac4c0a4d5a8682745afce4c44cb806bbe9e2a74d875da1
 SHA512 
ccb6a5bff336924381def11cdfa9c676351461e293b6250b15c1c6cd7694b99beb3e2f3834e8321a28586da091492cbde689213eb4108c9dbe86724e1ee66949
 DIST llvmorg-10.0.1-rc4.tar.gz 120873659 BLAKE2B 
2413fb8af98384e608fab83b91fa826ffe2a7cdeb052eb6a50f253f9fe46ee71c040f210bb2f395d73b0a2772854ccafe2ac2cf1cc7c8405bc988183fa732aea
 SHA512 
8b3f0b794c98956238e5d3d195e3a9cb9c9a40f78e2ed72c767fbeac3e1dbae58cb8132db7d2c8caa891a4d0bf631e2a9afc67f3c37707e9e6b94e2f9aeb77b8
+DIST llvmorg-10.0.1.tar.gz 120880730 BLAKE2B 
30f19f56c4d1f6abcda5fec76256219d1e3c8a6ff1a1f152f94bfe362c07884339fe571ff7fe903ed3b3deb150b2fa868c387887a0dea2930dc08b81db71a5b1
 SHA512 
48078fff9293a87f1a973f3348f79506f04c3da774295f5eb67d74dd2d1aa94f0973f8ced3f4ab9e8339902071f82c603b43d5608ad7227046c4da769c5d2151
 DIST llvmorg-9.0.1.tar.gz 113193320 BLAKE2B 
b86e405f2b8e00436045fd409fe19cdde75c797b1192c62a22b5ec75e6b4dc8e874a0f33008dc31562445e4cbe53a992b6f48c684255a6a1ef261e595b8b161f
 SHA512 
fa88beeaae94b6d0cd9b5ba38658d0ffed8004035d7d8a4f95c3d31a709b88b581ae9bd7761333c8e5375c44b8f6be01768b5a3be901163159d7e6c43b71da59

diff --git a/dev-python/clang-python/clang-python-10.0.1.ebuild 
b/dev-python/clang-python/clang-python-10.0.1.ebuild
new file mode 100644
index 00000000000..06db49e44b4
--- /dev/null
+++ b/dev-python/clang-python/clang-python-10.0.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/";
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+RDEPEND="
+       >=sys-devel/clang-${PV}:*
+       !sys-devel/llvm:0[clang(-),python(-)]
+       !sys-devel/clang:0[python(-)]
+       ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+python_test() {
+       "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+       python_foreach_impl python_test
+}
+
+src_install() {
+       python_foreach_impl python_domodule clang
+}

Reply via email to